Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066607 - [GSS] (6.2.x) Using a log4j appender as a custom-handler should invoke the activateOptions if required
Summary: [GSS] (6.2.x) Using a log4j appender as a custom-handler should invoke the ac...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Logging
Version: 6.2.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR2
: EAP 6.2.2
Assignee: Kyle Lape
QA Contact: Nikoleta Ziakova
Russell Dickenson
URL:
Whiteboard:
Depends On: 1066606
Blocks: eap62-cp02-blockers
TreeView+ depends on / blocked
 
Reported: 2014-02-18 17:25 UTC by Kyle Lape
Modified: 2018-12-05 17:20 UTC (History)
7 users (show)

Doc Type: Bug Fix
Doc Text:
In previous versions of JBoss EAP, changing a property in a custom-handler that was a log4j appender did not invoke the +OptionHandler.activateOptions()+ on the appender if the appender implemented +OptionHandler+. It required a restart of logging resources for the change to take effect. In this release, the activation method is now invoked if properties are changed on the log4j appender and a restart is no longer required for +OptionHandler+ appenders.
Clone Of: 1066606
Environment:
Last Closed: 2014-06-02 12:49:45 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-2995 Major Resolved Using a log4j appender as a custom-handler should invoke the activateOptions if required 2014-07-30 12:35:51 UTC

Description Kyle Lape 2014-02-18 17:25:53 UTC
Currently the OptionHandler.activateOptions is only invoked during construction of a log4j appender. This invocation should happen if any property is updated or added. The invocation of this method should also only happen once. Multiple invocation could result in errors or leave the appender in an invalid state.

Comment 3 Scott Mumford 2014-02-27 06:20:37 UTC
This bug has been marked for inclusion in the 6.2.2 Release Notes.

To meet a PM request to have a draft of the document available for review by 4th March 2014, ECS requires assistance from someone involved with it's resolution.

If someone could review the Doc Text field above and fill out any blanks and/or correct any inaccuracies, a draft can be completed in a timely manner.

Comment 4 Scott Mumford 2014-03-03 04:04:45 UTC
Reformatted Doc Text field to prose. Will mark as fully documented after a technical review of the  Release Notes document has been performed.

(also clearing NEEDINFO flag)

Comment 5 Petr Kremensky 2014-03-04 11:21:40 UTC
Verified on EAP 6.2.2.CP.CR2


Note You need to log in before you can comment on or make changes to this bug.